Online PAN Verification

In order to use the new components for digital signing and verification, Digital Signature Certificate (DSC) based users are required to comply with the following pre-requisites with respect to the system configuration of the client machines :

  1. Windows XP Professional service Pack 3 , Windows 7,Windows 8
  2. Oracle JAVA (32-bit) 1.6 update 29 or above till java 1.8 update 66
  3. I.E. browser version 7,8,9,10 and 11
  4. SafeNet e-Token drivers used should be the latest (if applicable)